# wechat platform

## 使用
配置 webConfig class
```Java
import com.openending.weixin.mp.aes.WXBizMsgCrypt;
import com.openending.weixin.mp.web.DecryptXMLHandlerInterceptor;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
@RequiredArgsConstructor
public class WebConfig implements WebMvcConfigurer {
  @Autowired
  private WXBizMsgCrypt wxBizMsgCrypt;

  @Override
  public void addInterceptors(InterceptorRegistry registry) {
    registry.addInterceptor(new DecryptXMLHandlerInterceptor(wxBizMsgCrypt))
        .addPathPatterns("/wx-platform/**");
  }

}

```